Package twisted :: Package spread :: Module flavors :: Class Referenceable

[show private | hide private]
[frames | no frames]

## Class Referenceable

    Jellyable --+
                |
     Serializable --+
                    |
                   Referenceable

Known Subclasses:
  `ConnectionPool`, `TwistedWordsClient`, `MaildirCollection`, `Maildir`, `ManholeClient`, `SisterMotherClient`, `Root`, `ViewPoint`, `AuthChallenger`, `AuthServ`, `IdentityWrapper`, `AsReferenceable`, `PathReferenceContextDirectory`, `PathReferenceDirectory`, `CallbackPageCollector`, `_ReferenceableProducerWrapper`

Method Summary
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.

Class Variable Summary
`None` | `perspective`

Method Details

### jellyFor(self, jellier)

(internal)

Return a tuple which will be used as the s-expression to serialize this to a peer.

### remoteMessageReceived(self, broker, message, args, kw)

A remote message has been received. Dispatch it appropriately.

The default implementation is to dispatch to a method called 'remote_messagename' and call it with the same arguments.

Class Variable Details

### perspective

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:24 2003 | http://epydoc.sf.net